<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class JadwalSidang extends Model
{
    protected $table = 'JadwalSidang';
    protected $primaryKey = 'JadwalSidangID';

    protected $fillable = [
        'NamaKegiatan',
        'PerusahaanID',
        'DokumenTypeID',
        'Deskripsi',
        'TanggalMulai',
        'TanggalSelesai',
    ];

    protected $casts = [
        'TanggalMulai' => 'datetime',
        'TanggalSelesai' => 'datetime',
    ];

    public function dokumenType()
    {
        return $this->belongsTo(DokumenType::class, 'DokumenTypeID', 'DokumenTypeID');
    }

    public function perusahaan()
    {
        return $this->belongsTo(Perusahaan::class, 'PerusahaanID', 'PerusahaanID');
    }
}
